Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: A simple fuzz test-case builder
Name: Simple-Fuzzer
Version: 0.7.1
Release: alt2_21
License: BSD
URL: http://aconole.bytheb.org/programs/sfuzz.html
Source: http://aaron.bytheb.org/files/sfuzz-0.7-dist/sfuzz-%{version}.tar.bz2

BuildRequires: gcc
BuildRequires: openssl libssl-devel
Requires: openssl

Patch1: 0001-sfuzz-cleanup-snprintfs.patch
Patch2: 0001-configure-disable-snoop-on-OS-X.patch
Patch3: 0001-configure-Use-r-for-sed.patch
Patch4: 0001-array_fuzz-Fix-a-sizeof-issue.patch
Patch5: 0001-url-change-to-bytheb.org.patch
Source44: import.info

%description
Simple-Fuzzer (sfuzz) is a simplistic fuzz test case generator.
It is a generation-based fuzzer, intended to aid in fault finding.

%package devel
Group: Other
Summary: Simple Fuzzer development files
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the headers and other files needed for developing
plugins for Simple Fuzzer

%prep
%setup -q -n sfuzz-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure --force-symbols --aux-search-path=%{_libdir}/simple-fuzzer
%make_build

%install
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_libdir}/simple-fuzzer/
mv %{buildroot}%{_datadir}/sfuzz-db/*.so %{buildroot}%{_libdir}/simple-fuzzer/

%files
%{_bindir}/*
%{_datadir}/man/man1/*
%{_datadir}/sfuzz-db/basic.*
%{_datadir}/sfuzz-db/*.list
%{_datadir}/sfuzz-db/*.inc
%{_datadir}/sfuzz-db/server.*
%{_datadir}/sfuzz-db/*.test
%{_datadir}/sfuzz-db/*.0day
%{_datadir}/sfuzz-db/*.cfg
%{_libdir}/simple-fuzzer/*

%files devel
%{_datadir}/sfuzz-db/*.c

%doc --no-dereference LICENSING

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.7.1-alt2_21
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.7.1-alt2_19
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.7.1-alt2_18
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.7.1-alt2_17
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.7.1-alt2_16
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.7.1-alt2_15
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt2_14
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_14
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_12
- update to new release by fcimport

* Sun Sep 29 2019 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_11
- new version

